<template>
  <div>
    <div class="fullHistory_body">
      <DatePicker
        :controls="{
        prev: store==='byDays'
      }"
        @next="next"
        @prev="prev">{{datePickerTitle}}
      </DatePicker>
      <div class="pt-40">
        <div class="table_head">
          <div class="table-tr flex flex-middle">
            <div class="table-th">{{store==='byMonth' ? $t('times.month') : $t('times.day')}}</div>
            <div class="table-th">{{$t('common.bets')}}</div>
            <div class="table-th">{{$t('common.commissions')}}</div>
            <div
              class="table-th"
              style="background-color: transparent;"></div>
          </div>
        </div>
      </div>
      <div class="table">
        <div class="table_body">
          <div
            class="table_body-inner"
            v-for="(item, key) in data"
            :key="key"
          >
            <div class="table-tr flex">
              <div class="table-td"></div>
              <div class="table-td"></div>
              <div class="table-td"></div>
              <div class="table-td"></div>
            </div>
            <div
              class="table-tr flex flex-middle lastWin"
              @click="details(item)">
              <div class="table-td">
                <div class="lastWin-item_wrapper lastWin_number">
                  <div
                    class="dateNumber"
                    :class="item.day && (getDay(item.day)==='SAT' || getDay(item.day)==='SUN') ? 'dateNumber-holiday' : ''">
                    <div class="dateNumber_inner">
                      <div
                        class="dateNumber_inner-number"
                        v-if="store==='byDays'">{{item.day}}
                      </div>
                      <div class="dateNumber_inner-date">{{store==='byMonth' ? getMonth(item.month) : getDay(item.day)}}</div>
                    </div>
                  </div>
                </div>
              </div>
              <div class="table-td">
                <div class="lastWin-item_wrapper">
                  <div class="lastWin-item lastWin-item-center color-white">
                    {{item.bet}} EOS
                  </div>
                </div>
              </div>
              <div class="table-td">
                <div class="lastWin-item_wrapper">
                  <div class="lastWin-item lastWin-item-center color-green">
                    {{parseFloat(item.amount).toFixed(4)}} EOS
                  </div>
                </div>
              </div>
              <div class="table-td">
                <div class="lastWin-item_wrapper flex flex-middle flex-center">
                  <Btn
                    plain
                    noPadding>
                    <i class="i-icon-more i-deg90 color-icon"></i>
                  </Btn>
                </div>
              </div>
            </div>
            <div class="table-tr flex">
              <div class="table-td"></div>
              <div class="table-td"></div>
              <div class="table-td"></div>
              <div class="table-td"></div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <LoadingLabel v-show="loading"></LoadingLabel>
  </div>
</template>

<script>
  import Btn from '~/components/UI/Btn';
  import DatePicker from '~/components/fullHistory/components/datePicker';
  import LoadingLabel from '~/components/UI/LoadingLabel';

  const months = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'];
  const days = ['SUN', 'MON', 'TUE', 'WED', 'THU', 'FRI', 'SAT'];
  export default {
    name: "Body_calendar",
    data() {
      return {
        datePickerTitle: '',
        currentMonth: 1,
        loading: false,
        store: 'byMonth'
      }
    },
    computed: {
      data() {
        return this.$store.state.players[this.store];
      }
    },
    components: {
      Btn,
      DatePicker,
      LoadingLabel
    },
    methods: {
      next() {
      },
      prev() {
        this.getByYear();
      },
      details(item) {
        switch (this.store) {
          case 'byMonth': {
            this.currentMonth = item.month - 1;
            this.getByMonth({
              number: item.month,
              title: this.getMonth(item.month)
            });
            break;
          }
          case 'byDays': {
            break;
          }
        }
      },
      getDay(number) {
        const day = new Date(new Date().getFullYear(), this.currentMonth, number).getDay();
        return days[day];
      },
      getMonth(number) {
        return months[number - 1];
      },
      async getByMonth({number, title}) {
        this.store = 'byDays';
        const year = new Date().getFullYear() + '';
        this.datePickerTitle = `${title} ${year}`;
        this.loading = true;
        await this.$store.dispatch('players/fetchReferrals', {
          month: `${year.slice(2)}/${number}`,
          commit: 'SET_BY_DAYS'
        });
        this.loading = false;
      },
      async getByYear() {
        this.datePickerTitle = new Date().getFullYear();
        this.store = 'byMonth';
        this.loading = true;
        await this.$store.dispatch('players/fetchReferrals', {
          year: new Date().getFullYear(),
          commit: 'SET_BY_MONTH'
        });
        this.loading = false;
      }
    },
    created() {
      this.getByYear();
    }
  }
</script>
